import java.awt.Graphics;

class SoundArea extends ImageMapArea {
   String sound;

   public void handleArg(String arg) {
      this.sound = arg;
      super.terminal = false;
   }

   public void highlight(Graphics g, boolean on) {
      if (on && !super.active) {
         super.parent.play(super.parent.getDocumentBase(), this.sound);
      }

      super.highlight(g, on);
   }

   public SoundArea() {
   }
}
